import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
	.domain(['apple','lemon'])
	.range(['#B51B20','#e8e55a']);

const radiusScale = scaleOrdinal()
	.domain(['apple','lemon'])
	.range(['50','30']);


export const fruitBowl = (selection, props) =>{
  
  const { fruits, height } = props;
  
  const groups = selection.selectAll('g')
  	.data(fruits);
  const groupsEnter = groups.enter().append('g');
  groupsEnter.merge(groups)
  		.attr('transform', (d,i) =>  {
    return `translate(${i * 180 + 100}, ${height/2})`
  });

  groups.exit().remove();
  
  const circles = groups.select('circle');
  groupsEnter
    .append('circle')
  	.merge(circles)
      .attr('fill', (d)  => colorScale(d.type))
			.attr('r', (d) => radiusScale(d.type));
    
  const text = selection.selectAll('text').data(fruits);
  text
    .enter().append('text')
  		.attr('x', (d,i) =>  i * 180 + 100)
      .attr('y', height/2 + 120)
  	.merge(text)
      .text(d => d.type)
  
  text.exit()
    .remove();
  

}